/**** MENU ****/
.header-1.header-4 .header-main .header-right .header-btn .sidebar__toggle {
    color: #fff;
}
.sticky.header-1 .header-main .header-right .header-btn .sidebar__toggle {color: var(--header);}
.header-main .main-menu ul li a {font-size: 18px;}
.breadcrumb-wrapper {margin-top: 0;} /* pas besoin de margin top car pas de top header */
.offcanvas__contact {color: #000;}
.header-main .main-menu ul li .submenu li a {font-size: 15px; line-height: 1.4; padding-bottom: 18px;}
.header-main .main-menu ul li .submenu li a::before {bottom: inherit; top: 10px;}



/*** HERO ****/
.hero-area-one .hero-wrapper .hero-section-title .h1 {line-height: 95%;
    text-transform: capitalize; font-family: "Plus Jakarta Sans", sans-serif;
    margin: 0px;
    padding: 0;
    transition: all 0.4s ease-in-out; color: var(--white);
    font-size: 45px;
    /*margin-bottom: 20px;*/
    text-align: center;
    margin-bottom: 0px;
font-weight: 600;}

.hero-area-one .hero-wrapper .hero-section-title .h2 {
	margin: 0px;
    padding: 0;
    transition: all 0.4s ease-in-out; color: var(--theme);
    font-family: "Plus Jakarta Sans", sans-serif;
    font-size: 45px;
    font-weight: 700;
    letter-spacing: 0px;
    text-transform: uppercase;
    text-align: center;
    line-height: 45px;
}
@media (min-width: 480px) {
	.hero-area-one .hero-wrapper .hero-section-title .h1 {font-size: 70px; }
	.hero-area-one .hero-wrapper .hero-section-title .h2 {font-size: 70px; line-height: 70px;}
}
@media (min-width: 992px) {
	.hero-area-one .hero-wrapper .hero-section-title .h1 {font-size: 170px; margin-bottom: 20px;}
	.hero-area-one .hero-wrapper .hero-section-title .h2 {font-size: 140px; line-height: 90px; letter-spacing: -6px;}
}

/**** DIVERS ****/
.about-wrapper-7 .about-right-content .section-title h1, .about-wrapper-7 .about-right-content .section-title .text {text-transform: none;}
.en-avant {color: var(--theme);}
h3 {text-transform: none;}
.h2-h1 {text-transform: none;}
h4 {text-transform: none;}
.theme-btn-main {text-transform: none;}
.breadcrumb-wrapper .page-heading .breadcrumb-items li {text-transform: none;}
.breadcrumb-wrapper .page-heading h1 {text-transform: none;}
.theme-btn {text-transform: none;}
.offcanvas__wrapper .offcanvas__content .offcanvas__contact ul li {text-transform: none;}
.header-main .main-menu ul li a {text-transform: none;}
.section-padding-60 {padding: 60px 0;}
.bg-presque-white {background-color: rgb(246 246 246) !important;}
.text-CMS a:not(.theme-btn) {
    color: var(--theme);
}

.breadcrumb-wrapper .page-heading {padding: 160px 0 100px;}
.breadcrumb-wrapper .page-heading h1 {font-size: 43px; line-height: 1.2;}
@media (min-width: 768px) {
	.breadcrumb-wrapper .page-heading h1 {font-size: 48px; line-height: 1.2;}
}
@media (min-width: 992px) {
	.breadcrumb-wrapper .page-heading h1 {font-size: 55px; line-height: 1.2;}
}
@media (min-width: 1200px) {
	.breadcrumb-wrapper .page-heading h1 {font-size: 62px; line-height: 1.2;}
}


/**** HOMEPAGE ****/
.brand-logo-7 {background: #fff;}
.brand-logo-7::before {background: var(--theme)!important;}
.about-wrapper-7 .about-right-content2 .section-title .text { max-width: none;}
.service-area-one .service-wrapper-7 .service-card {height: 400px;}
.service-area-one .service-wrapper-7 .service-card .card-front .avatars img {
    width: 150px;
    height: 150px;
    margin-right: 0px;
}
.service-area-one .service-wrapper-7 .service-card .card-front .title {line-height: 1.2;}
.service-area-one .service-wrapper-7 .service-card .card-front .card-top-part {margin-bottom: 13px;}
.service-area-one .service-wrapper-7 .service-card .card-front .avatars {margin-bottom: 23px;}
.service-area-one .service-wrapper-7 .service-card .card-back .card-bottom-content {margin-top: 15px;}
.service-area-one .service-wrapper-7 .service-card .card-back .services li {line-height: 26px; margin-bottom: 14px;}

@media (min-width: 1400px) {
	.service-area-one .service-wrapper-7 .service-card {height: 450px;}
}


/***** REALISATIONS ****/
.project-card-inner-items-5 .project-content {margin-top: 8px; display: block;}
.project-card-inner-items-5 .project-content h4 {font-weight: 400; font-size: 15px;}



/**** REALISATION ****/
.realisation-content h2 {margin-top: 1em; }
.realisation-content h3 {margin-top: 2em; margin-bottom: 0.25em;}
.realisation-content p {margin-top: 1.5em;}
.realisation-content .texteVideo p:first-child {margin-top: 0;}
.realisation-content h3 + p {margin-top: 0;}
.realisation-content ul  {margin-top: 1.5em;}
.realisation-content p + ul {
    margin-top: 0;
}
.realisation-content ul li {list-style: disc; padding-left: 2px; margin-left: 25px;}
.realisation-content .hilight-text {
    border-left: 4px solid var(--theme);
    padding: 20px 40px;
    background-color: var(--white);
    border-radius: 8px;
}
/*.realisation-content .hilight-text p {padding: 0; margin-top: 0; font-size: 1.5em; line-height: 1.5;}*/
.realisation-content .hilight-text p {
    padding: 0; margin-top: 0;
	max-width: 650px;
    font-weight: 500;
    font-style: italic;
    line-height: 26px;
}
.realisation-content .hilight-text .icon {
    float: right;
    margin-top: -30px;
    color: var(--theme);
    font-size: 40px;
}

.safari-wrapper {
    max-width: 1100px;
    margin: 25px auto; margin-bottom: 60px;
    border-radius: 18px;
    overflow: hidden;
    box-shadow: 0 40px 80px rgba(0,0,0,0.12);
    background: #fff;
    position: relative;
    transition: transform 0.4s ease;
}
.listing-projects .safari-wrapper {
    margin: 0 auto;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.12); border-radius: 10px; border: solid 1px #c3c3c3;
	width: calc(100% - 16px);
}

/* Hover subtil */
.safari-wrapper:hover {
    transform: perspective(1600px) rotateX(2deg) rotateY(-2deg);
}

/* Barre Safari */
.safari-bar {
    height: 50px;
    background: linear-gradient(#f6f6f6, #e9e9e9);
    display: flex;
    align-items: center;
    padding: 0 20px 0 70px;
    position: relative;
}

/* Boutons macOS */
.safari-bar::before {
    content: "";
    position: absolute;
    left: 20px;
    width: 12px;
    height: 12px;
    background: #ff5f57;
    border-radius: 50%;
    box-shadow:
        18px 0 0 #ffbd2e,
        36px 0 0 #28c840;
}

/* Champ URL */
.safari-url {
    background: #ffffff;
    padding: 3px 16px;
    border-radius: 20px;
    font-size: 14px;
    color: #666;
    width: 100%;
    text-align: center;
    box-shadow: inset 0 0 0 1px #ddd;
    font-family: -apple-system, BlinkMacSystemFont, sans-serif;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* ✅ Padding autour de l'image */
.safari-wrapper img {
    width: 100%;
    display: block;
    padding: 20px; /* vertical / horizontal */
    box-sizing: border-box;
    background: #fff;
}

/* --- Animation apparition --- */

.reveal {
    opacity: 0;
    transform: translateY(60px);
    transition: 
        opacity 0.8s ease,
        transform 0.8s cubic-bezier(.2,.65,.3,1);
}

.reveal.active {
    opacity: 1;
    transform: translateY(0);
}




.project-details-wrapper .project-details-sidebar .project-list-item li div {
    color: var(--header);
    display: flex;
    align-items: center;
    justify-content: space-between;
    line-height: 1;
    border-radius: 8px;
}
.project-details-wrapper .project-details-sidebar .project-list-item li {
    border-bottom: 1px solid rgba(2, 6, 10, 0.1)!important;
    padding-bottom: 25px!important;
    margin-bottom: 25px!important;
}
.project-details-wrapper .project-details-sidebar .tagcloud a {
    display: inline-block;
    padding: 12px 18px;
    line-height: 1;
    font-weight: 600;
    background: var(--bg);
    font-family: "Plus Jakarta Sans", sans-serif;
    margin-right: 10px;
    margin-bottom: 10px;
    border-radius: 4px;
}
.project-details-wrapper .project-details-sidebar .project-list-item li a.style-2 {
    font-weight: 400;
}
a {
    margin: 0px;
}





/**** PORTFOLIO ****/
.body-portfolio p {margin-bottom: 1.8em;}
.body-portfolio h2 {margin-bottom: 0.75em; font-size: 2.2em;}
.body-portfolio .text-CMS p:last-child {margin-bottom: 0;}
.body-portfolio .text-CMS ul  {margin-top: 1.5em;}
.body-portfolio .text-CMS p + ul {
    margin-top: 0;
}
/*.body-portfolio .text-CMS a {color: var(--theme);}*/
.body-portfolio .text-CMS ul li {list-style: disc; padding-left: 2px; margin-left: 25px;}
.body-portfolio p:has(+ ul) {
    margin-bottom: 0; /* p suivi directement d'un ul */
}
.body-portfolio h3 {margin-bottom: 0.1em; padding-top: 0.5em; font-size: 1.33em; color: var(--theme);}
.gallery-area-one .gallery-wrapper .attribution {
    position: absolute;      /* superposition sur l'image */
    bottom: 50%;            /* distance depuis le bas de l'image */
    right: 10px;             /* distance depuis la droite */
    background: rgba(0,0,0,0.5); /* semi-transparent pour lisibilité */
    color: #fff;             /* texte en blanc */
    padding: 5px 10px;
    font-size: 0.8em;
    border-radius: 3px;
}




/****** CMS PAGE *****/
.body-cms h2 {margin-top: 2em!important; margin-bottom: 0.25em!important; font-size: 24px!important;}
.texteVideo .hilight-text {
    border-left: 4px solid var(--theme)!important;
    padding: 20px 40px!important;
    background-color: var(--white)!important;
    border-radius: 8px!important;
}
.texteVideo .hilight-text p {
    padding: 0!important; margin-top: 0!important;
	max-width: 650px!important;
    font-weight: 500!important;
    font-style: italic!important;
    line-height: 26px!important;
	text-transform: none!important;
}
.texteVideo .hilight-text .icon {
    float: right!important;
    margin-top: -30px!important;
    color: var(--theme)!important;
    font-size: 40px!important;
}




/***** CATEGORIE ****/
.listing-articles .element {margin-bottom: 1.6em;}
.news-card-items {display: flex;
    flex-direction: column; /* pour que le contenu vertical s’empile */
flex: 1; /* prend toute la hauteur disponible */
height: 100%;
}
.news-card-items .news-top-content {
    flex: 1;                /* prend tout l’espace restant */
    display: flex;          /* optionnel si tu veux gérer les enfants verticalement */
    flex-direction: column; /* optionnel pour empiler le texte et le bouton */
    justify-content: space-between; /* pousse le contenu et le bouton en bas */
}
.news-card-items .news-top-content .news-content {padding-bottom: 10px;}




/**** CONTACT ****/
.contact-inner-section-2 {border-top: 0; margin-top: 0;}
.contact-wrapper-inner {padding-top: 40px;}
.contact-wrapper-inner .contact-right-items .contact-form-box .form-clt input, .contact-wrapper-inner .contact-right-items .contact-form-box .form-clt textarea {text-transform: none;}
.msg-confirmation {padding: 20px; border-radius: 10px; color: #16852f!important; background-color: rgba(40, 167, 69, 0.1); margin-bottom: 20px;}



/**** FOOTER ****/
.footer-logo-img {max-width: 250px;}
.footer-widget-wrapper .footer-widget-items .widget-head {margin-bottom: 20px;}
.footer-widget-wrapper .footer-widget-items .footer-content p {margin-bottom: 15px; line-height: 1.45;}
.footer-widget-wrapper .footer-content p a {color: #fff; opacity: 0.8;}
.footer-widget-wrapper .footer-content p a:hover {text-decoration: underline;}
.footer-widget-wrapper {
    padding: 30px 0 40px;
}
.footer-widget-wrapper .footer-widget-items .footer-content p {max-width: none;}
.footer-widget-wrapper .footer-content p a {opacity: 1;}

